module Main where

import Eval
import Lexer
import Library
import Parser
import REPL (repl)
import Research

import qualified Data.Map as Map
import Text.Megaparsec (runParser)

main :: IO ()
main = do
  putStrLn "Welcome to the Tricu Interpreter"
  putStrLn "You can exit at any time by typing and entering: "
  putStrLn ":_exit"
  repl library

runTricu :: String -> T
runTricu s = result (evalTricu Map.empty $ parseTricu s)
runTricuEnv env s = result (evalTricu env $ parseTricu s)
